﻿@using ASP.NET_MVC5_WebShopExample.Models.ViewModels
@using ASP.NET_MVC5_WebShopExample.Models.Enums
@model ProductEditViewModel
@using ASP.NET_MVC5_WebShopExample.Constants
@{
    ViewBag.Title = "Edit";
    var specificationsTableViewModel = new SpecificationsTableViewModel()
    {
        IsShowFooter = true,
        IsShowActionButtons = true,
        IsShowCaption = true,
        Product = Model.Product
    };
    var imageListViewModel = new ImageListViewModel()
    {
        Images = Model.Images,
        Controller = nameof(ASP.NET_MVC5_WebShopExample.Controllers.ProductImagesController).Replace("Controller", ""),
        OwnerId = Model.Product.ProductId,
        BackUrl = Context.Request.Path + Context.Request.QueryString
    };
}
<h2>Edit</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Product</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.Hidden("productId", Model.Product.ProductId)
        @Html.HiddenFor(model => model.Product.RowVersion)

        <div class="form-group">
            @Html.LabelFor(model => model.Product.Name, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Product.Name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Product.Name, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Product.Description, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Product.Description, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Product.Description, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Product.Cost, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Product.Cost, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Product.Cost, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Product.CategoryId, "CategoryId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownListFor(model => model.Product.CategoryId, Model.SelectListOfCategories, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Product.CategoryId, "", new { @class = "text-danger" })
            </div>
        </div>

        @Html.Partial("_SpecificationsTable", specificationsTableViewModel)

        <h4>Images</h4>

        @Html.Partial("_ImageList", imageListViewModel)

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
